---
title: About
date: 2022-01-25T14:00:00.000Z
authorbox: false
sidebar: false
menu: main
---

Our website builds with [Hugo](https://gohugo.io/) static site generator and
[Mainroad](https://github.com/vimux/mainroad) theme. This demo allows you to see what Mainroad based website looks like
before deciding to go with it. Just keep in mind that the current demo shows the basics, a small part of what the
combination of Hugo and Mainroad can do.

## About Mainroad

Mainroad is a responsive, simple, clean and content-focused Hugo theme based on the MH Magazine lite WordPress theme.

Main features:

* Responsive design
* Main & secondary menus
* Widgetized sidebar
* Translations. Over 15 languages and counting
* Configurable theme settings (sidebar position, author box, post navigation, highlight color) via config.toml
* Hugo internal templates (Open Graph, Schema, Twitter Cards, Disqus, Google Analytics)
* Wide cross-browser compatibility
  * Desktop: IE11+, Chrome, Firefox, Safari
  * Mobile: Android browser (on Android 4.4+), Safari (on iOS 7+), Google Chrome, Opera mini
* Custom Google Fonts support, MathJax, Table of Contents, SVG icons and much more…

Learn more on [GitHub](https://github.com/vimux/mainroad). Mainroad theme is released under the
[GPLv2 license](https://github.com/vimux/mainroad/blob/master/LICENSE.md).

## About Hugo

Hugo is a static HTML and CSS website generator written in Go. It is optimized for speed, ease of use, and
configurability. Hugo takes a directory with content and templates and renders them into a full HTML website. With its
amazing speed and flexibility, Hugo makes building websites fun again.

Learn more on [GitHub](https://github.com/gohugoio/hugo). Complete documentation is available at
[Hugo Documentation](https://gohugo.io/getting-started/).
